Subject: Re: bug#64059: Sudden unexplained error during guix pull: "channel dependency has an invalid introduction field"

From: "N. Y." <[email-masked]>
Date: Fri, 23 Jun 2023 01:37:01 +0000

Hi Josselin,

Thank you so much for your help! Indeed, the .channels.scm files of my
custom channels had invalid introduction fields. That's on me --- I
should've read the error message more carefully!

Best regards,
Ning

On Tue, Jun 20, 2023 at 9:19 AM Josselin Poiret <[email-masked]> wrote:

> Hi Ning,
>
> "N. Y." <[email-masked]> writes:
>
> > The error is "channel dependency has an invalid introduction field," but
> > the introduction fields of my custom channels have the same form as
> those I
> > use for GNU guix and nonguix channels which I can pull without errors;
> and
> > the channel introductions and GPG fingerprints are unchanged from the
> last
> > time I was able to pull successfully (I have the channels.scm file under
> > version control).
>
> I've purposefully added this new error to warn users that their
> .guix-channel's introduction forms were erroneous.  Previously, they
> were silently being dropped.  The formats in a channels.scm file and in
> the .guix-channel file are *not* the same!  Please see "(guix) Declaring
> Channel Dependencies" for an example of the format.
>
> Best,
> --
> Josselin Poiret
>